[arch-commits] Commit in iptraf/repos/extra-x86_64 (PKGBUILD)

Andrea Scarpino andrea at archlinux.org
Thu Apr 2 11:33:32 EDT 2009


    Date: Thursday, April 2, 2009 @ 11:33:32
  Author: andrea
Revision: 32907

update url

Modified:
  iptraf/repos/extra-x86_64/PKGBUILD

----------+
 PKGBUILD |   28 +++++++++++++++-------------
 1 file changed, 15 insertions(+), 13 deletions(-)

Modified: PKGBUILD
===================================================================
--- PKGBUILD	2009-04-02 15:32:53 UTC (rev 32906)
+++ PKGBUILD	2009-04-02 15:33:32 UTC (rev 32907)
@@ -1,5 +1,6 @@
 # $Id$
-# Maintainer: Kevin Piche <kevin at archlinux.org>
+# Maintainer: Andrea Scarpino <andrea at archlinux.org>
+# Contributor: Kevin Piche <kevin at archlinux.org>
 # Contributor: Manolis Tzanidakis
 
 pkgname=iptraf
@@ -7,31 +8,32 @@
 pkgrel=2
 pkgdesc="An IP network monitor."
 arch=('i686' 'x86_64')
-url="http://cebu.mozcom.com/riker/iptraf/index.html"
+url="http://iptraf.seul.org/"
 depends=('ncurses>=5.6-7')
 license=('GPL')
 options=('!makeflags')
-source=(ftp://iptraf.seul.org/pub/iptraf/$pkgname-$pkgver.tar.gz
-iptraf-$pkgver-headerfix.patch)
-md5sums=('377371c28ee3c21a76f7024920649ea8' '1d7f4a5c81086463452e73dae1799acf')
+source=(ftp://iptraf.seul.org/pub/$pkgname/$pkgname-$pkgver.tar.gz
+	iptraf-$pkgver-headerfix.patch)
+md5sums=('377371c28ee3c21a76f7024920649ea8'
+	'1d7f4a5c81086463452e73dae1799acf')
 
 build() {
-  cd $startdir/src/$pkgname-$pkgver
-  patch -Np1 -i ../iptraf-$pkgver-headerfix.patch || return 1
-  cd $startdir/src/$pkgname-$pkgver/src
-  /bin/sed -i -e s:/var/local/iptraf:/var/lib/iptraf: \
+  cd ${srcdir}/$pkgname-$pkgver
+  patch -Np1 -i ../$pkgname-$pkgver-headerfix.patch || return 1
+  cd src/
+  sed -i -e s:/var/local/iptraf:/var/lib/iptraf: \
       -e s:/usr/local/bin:/usr/sbin: dirs.h
-  /usr/bin/make CFLAGS="$CFLAGS" DEBUG="" TARGET="/usr/sbin" \
+  make CFLAGS="$CFLAGS" DEBUG="" TARGET="/usr/sbin" \
       WORKDIR="/var/lib/iptraf" clean all || return 1
 
   for sbin in iptraf rvnamed; do
-    /bin/install -D -m755 $sbin $startdir/pkg/usr/sbin/$sbin
+    install -D -m755 $sbin ${pkgdir}/usr/sbin/$sbin
   done
 
   cd ../Documentation
   for man in *.8; do
-    /bin/install -D -m644 $man $startdir/pkg/usr/share/man/man8/$man
+    install -D -m644 $man ${pkgdir}/usr/share/man/man8/$man
   done
-  /bin/mkdir -p $startdir/pkg/var/{lib,log,run}/iptraf
+  mkdir -p ${pkgdir}/var/{lib,log,run}/iptraf
 }
 # vim: ts=2: ft=sh



More information about the arch-commits mailing list